View Issue Details

IDProjectCategoryView StatusLast Update
0014889LazarusIDEpublic2009-11-04 04:04
ReporterremovedAssigned ToVincent Snijders  
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version0.9.28.1 (SVN) 
Fixed in Version0.9.29 (SVN) 
Summary0014889: Can not run lazarus IDE when rename fpc folder before run IDE.
Descriptionif you delete or rename or move folder fpc\bin,
can not run lazarus IDE until
recover folder name or edit
Application Data\lazarus\environmentoptions.xml manually.


Invalid argument index in format "".
---------------------------------------
Press OK to ...
Press Cancel to kill
---------------------------------------
--> Press OK : Can not run lazarus IDE.
--> Press Cancel : kill process
TagsNo tags attached.
Fixed in Revision22309
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Vincent Snijders

2009-10-25 09:20

manager   ~0031649

This may be caused by a wrong formatted message. Do you use the English or the Japanese messages?

removed

2009-10-25 09:25

reporter   ~0031650

I use Japanese messages

Vincent Snijders

2009-10-25 09:47

manager   ~0031651

Does it happen if you use English messages?

2009-10-25 14:03

 

lazaruside_ja_po.patch (3,766 bytes)   
--- lazaruside.ja.po.orig	2009-08-28 23:11:54.000000000 +0900
+++ lazaruside.ja.po	2009-10-25 21:02:38.406250000 +0900
@@ -11712,15 +11712,15 @@
 
 #: lazarusidestrconsts.listhecurrentcompilerfilenameisnotavalidexecutablecho
 msgid "The current compiler filename %s%s%s%sis not a valid executable.%sChoose Ok to choose the default %s%s%s.%sOtherwise check Environment -> Environment Options -> Files"
-msgstr "現在のコンパイラファイル名%s%s%s%sは有効な実行ファイルではありません。%sOKを選び、既定の%s%s%sを選んでください。さもなければ%s%s環境 -> 環境オプション -> ファイルをチェックして下さい。"
+msgstr "現在のコンパイラファイル名%s%s%s%sは有効な実行ファイルではありません。%sOKを選び、既定の%s%s%sを選んでください。%sさもなければ環境 -> 環境オプション -> ファイルをチェックして下さい。"
 
 #: lazarusidestrconsts.listhecurrentcompilerfilenameisnotavalidexecutableplease
 msgid "The current compiler filename %s%s%s%sis not a valid executable.%sPlease check Environment -> Environment Options -> Files"
-msgstr "現在のコンパイラファイル名%s%s%s%sは有効な実行ファイルではありません。%環境 -> 環境オプション -> ファイルをチェックして下さい。"
+msgstr "現在のコンパイラファイル名%s%s%s%sは有効な実行ファイルではありません。%s環境 -> 環境オプション -> ファイルをチェックして下さい。"
 
 #: lazarusidestrconsts.listhecurrentfreepascalsourcedirectorydoesnotlookcorr
 msgid "The current Free Pascal source directory %s%s%s%sdoes not look correct.%sChoose Ok to choose the default %s%s%s.%sOtherwise check Environment -> Environment Options -> Files"
-msgstr "現在のFree Pascalソースディレクトリ%s%s%s%sは正しくないようです。%sOKを選び、既定の%s%s%sを選んでください。さもなければ環境 -> 環境オプション -> ファイルをチェックして下さい。"
+msgstr "現在のFree Pascalソースディレクトリ%s%s%s%sは正しくないようです。%sOKを選び、既定の%s%s%sを選んでください。%sさもなければ環境 -> 環境オプション -> ファイルをチェックして下さい。"
 
 #: lazarusidestrconsts.listhecurrentfreepascalsourcedirectorydoesnotlookcorr2
 msgid "The current Free Pascal source directory %s%s%s%sdoes not look correct.%sCheck Environment -> Environment Options -> Files"
@@ -11728,7 +11728,7 @@
 
 #: lazarusidestrconsts.listhecurrentlazarusdirectorydoesnotlookcorrectwithou
 msgid "The current Lazarus directory %s%s%s%sdoes not look correct.%sWithout it You will not be able to create LCL applications.%sChoose Ok to choose the default %s%s%s.%sOtherwise check Environment -> Environment Options -> Files"
-msgstr "現在のLazarusディレクトリ%s%s%s%sは正しくないようです。%sこのままではLCLアプリケーションを作成できません。%OKを選び、既定の%s%s%sを選んでください。さもなければ環境 -> 環境オプション -> ファイルをチェックして下さい。"
+msgstr "現在のLazarusディレクトリ%s%s%s%sは正しくないようです。%sこのままではLCLアプリケーションを作成できません。%sOKを選び、既定の%s%s%sを選んでください。%sさもなければ環境 -> 環境オプション -> ファイルをチェックして下さい。"
 
 #: lazarusidestrconsts.listhecurrentlazarusdirectorydoesnotlookcorrectwithou2
 msgid "The current Lazarus directory %s%s%s%sdoes not look correct.%sWithout it You will not be able to create LCL applications.%sCheck Environment -> Environment Options -> Files"
lazaruside_ja_po.patch (3,766 bytes)   

2009-10-25 14:03

 

lazaruside.ja.po (475,790 bytes)

removed

2009-10-25 14:10

reporter   ~0031656

No.

Japanese message file is broken.
attaches a Japanese patch file

Vincent Snijders

2009-10-28 09:04

manager   ~0031752

Thanks for the patch.

Issue History

Date Modified Username Field Change
2009-10-25 07:27 removed New Issue
2009-10-25 07:27 removed Widgetset => Win32/Win64
2009-10-25 09:20 Vincent Snijders Note Added: 0031649
2009-10-25 09:25 removed Note Added: 0031650
2009-10-25 09:47 Vincent Snijders Note Added: 0031651
2009-10-25 14:03 removed File Added: lazaruside_ja_po.patch
2009-10-25 14:03 removed File Added: lazaruside.ja.po
2009-10-25 14:10 removed Note Added: 0031656
2009-10-28 09:04 Vincent Snijders Fixed in Revision => 22309
2009-10-28 09:04 Vincent Snijders LazTarget => -
2009-10-28 09:04 Vincent Snijders Status new => resolved
2009-10-28 09:04 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2009-10-28 09:04 Vincent Snijders Resolution open => fixed
2009-10-28 09:04 Vincent Snijders Assigned To => Vincent Snijders
2009-10-28 09:04 Vincent Snijders Note Added: 0031752
2009-11-04 04:04 removed Status resolved => closed